@extends('admin.layouts.app')
@section('title',"Reporting")
@section('content')
<?php
//print_r($data->Campgroups()->pluck('group_id'));
?>
<style>
.collapse:not(.show) {
    display: none !important;
}
</style>
<link href="assets/plugins/custom/datatables/datatables.bundle.css" rel="stylesheet" type="text/css" />
<div class="row">
    <div class="col-md-12 col-lg-12">
        
        <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 style="cursor: pointer;" class="kt-portlet__head-title" data-toggle="collapse" href="#leadreporttog" role="button" aria-expanded="false" aria-controls="leadreporttog">
											Leads Report
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												
												
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body collapse" id="leadreporttog">
                                    <form id="lead_report" class="kt-form kt-form--fit kt-margin-b-20">
			
                                            @csrf
                        			     <div class="row kt-margin-b-20">
                                         <div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Select filter:</label>
                        					<select onchange="checkdate(this)" class="form-control kt-input" >
                        						
                                                <option value="">select filter</option>
                                                <option value="today">Today</option>
                                                <option value="yesterday">Yesterday</option>
                                                <option value="week">Week to date</option>
                                                <option value="month">Month to date</option>
                                                <option value="custom">Custom</option>
                        					</select>
                        				</div>
                        				<div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Date:</label>
                        					<div class="input-daterange input-group kt_datepicker2" id="">
                        						<input type="text" class="form-control kt-input" name="start" placeholder="From"/>
                        						<div class="input-group-append">
                        							<span class="input-group-text"><i class="la la-ellipsis-h"></i></span>
                        						</div>
                        						<input type="text" class="form-control kt-input" name="end" placeholder="To" />
                        					</div>
                        				</div>
                        				
                        			
                        			</div>

                                			<div class="kt-separator kt-separator--md kt-separator--dashed"></div>
                                
                                			<div class="row">
                                				<div class="col-lg-12">
                                					<button type="submit" class="btn btn-brand kt-btn kt-btn--icon">
                                						<span>
                                							<i class="la la-search"></i>
                                							<span>Update</span>
                                						</span>
                                					</button>
                                					&nbsp;&nbsp;
                                					<button type="button" onclick='$("#lead_report")[0].reset();leadreset()' class="btn btn-secondary kt-btn kt-btn--icon" >
                                						<span>
                                							<i class="la la-close"></i>
                                							<span>Reset</span>
                                						</span>
                                					</button>
                                				</div>
                                			</div>
                                		</form>
                                    
                                    
									<!--begin: Datatable -->
									<table class="table table-striped- table-bordered table-hover" id="datatable">
										<thead>
											<tr>
												<th>Delivered</th>
                                                <th>Accepted</th>
												<th>Rejected</th>
                                                <th>Opt-out</th>
												<th>Opt-out%</th>
                                                
                                                
											</tr>
										</thead>
                                       <tbody>
                                        <tr>
                                            <td id="lead_rep_delivered">{{ $leads['delivered'] }}</td>
                                            <td id="lead_rep_accepted">{{ $leads['accepted'] }}</td>
                                            <td id="lead_rep_rejected">{{ $leads['rejected'] }}</td>
                                            <td id="lead_rep_unsub">{{ $leads['unsub'] }}</td>
                                            <td id="lead_rep_percentage">{{ ($leads['accepted']>0)? number_format(($leads['unsub']/$leads['accepted'])*100,2):'-' }}</td>
                                        </tr>
                                       </tbody>
									</table>

									<!--end: Datatable -->
								</div>
							</div>
        
    </div>
</div>


<div class="row">
    <div class="col-md-12 col-lg-12">
        
        <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 style="cursor: pointer;" class="kt-portlet__head-title" data-toggle="collapse" href="#offerpertog" role="button" aria-expanded="false" aria-controls="offerpertog">
											Offer Performance
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												<button id="reloadtable" title="Refresh" onclick="exportoffer()" type="button" class="btn  btn-sm btn-outline-brand">
													<i class="la la-download"></i> Export
												</button>
												
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body collapse" id="offerpertog">
                                    <form id="offer_report" class="kt-form kt-form--fit kt-margin-b-20">
			
                                            @csrf
                        			     <div class="row kt-margin-b-20">
                                         <div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Select filter:</label>
                        					<select onchange="checkdate(this)" class="form-control kt-input" >
                        						<option value="">select filter</option>
                                                <option value="today">Today</option>
                                                <option value="yesterday">Yesterday</option>
                                                <option value="week">Week to date</option>
                                                <option value="month">Month to date</option>
                                                <option value="custom">Custom</option>
                        					</select>
                        				</div>
                        				<div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Date:</label>
                        					<div class="input-daterange input-group kt_datepicker2" id="">
                        						<input type="text" class="form-control kt-input" name="start" placeholder="From"/>
                        						<div class="input-group-append">
                        							<span class="input-group-text"><i class="la la-ellipsis-h"></i></span>
                        						</div>
                        						<input type="text" class="form-control kt-input" name="end" placeholder="To" />
                        					</div>
                        				</div>
                        				
                        			
                        			</div>

                                			<div class="kt-separator kt-separator--md kt-separator--dashed"></div>
                                
                                			<div class="row">
                                				<div class="col-lg-12">
                                					<button type="submit" class="btn btn-brand kt-btn kt-btn--icon">
                                						<span>
                                							<i class="la la-search"></i>
                                							<span>Update</span>
                                						</span>
                                					</button>
                                					&nbsp;&nbsp;
                                					<button type="button" class="btn btn-secondary kt-btn kt-btn--icon" onclick="$('#offer_report')[0].reset();$('#datatable_offers').DataTable().ajax.url('{{ route('offer_performance') }}').load()">
                                						<span>
                                							<i class="la la-close"></i>
                                							<span>Reset</span>
                                						</span>
                                					</button>
                                				</div>
                                			</div>
                                		</form>
                                    
                                    
									<!--begin: Datatable -->
                                    <div id="kt_table_1_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer table-responsive">
									<table role="grid" class="table table-striped- table-bordered table-hover  dataTable no-footer dtr-inline " id="datatable_offers">
										<thead>
											<tr>
												<th>OfferID</th>
                                                <th>Offer Name</th>
												<th>Sent</th>
                                                <th>Delivered</th>
                                                <th>Delivery%</th>
												<th>Clicks</th>
                                                <th>CTR</th>
                                                
											</tr>
										</thead>
                                       <tbody>
                                        
                                       </tbody>
									</table>
                                    </div>
									<!--end: Datatable -->
								</div>
							</div>
        
    </div>
</div>


<div class="row">
    <div class="col-md-12 col-lg-12">
        
        <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 style="cursor: pointer;" class="kt-portlet__head-title" data-toggle="collapse" href="#numbertog" role="button" aria-expanded="false" aria-controls="numbertog">
											Number Performance
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												<button id="reloadtable" title="Refresh" onclick="exportnumber()" type="button" class="btn  btn-sm btn-outline-brand">
													<i class="la la-download"></i> Export
												</button>
												
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body collapse" id="numbertog">
                                    <form id="number_report" class="kt-form kt-form--fit kt-margin-b-20">
			
                                            @csrf
                        			     <div class="row kt-margin-b-20">
                                         <div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Select filter:</label>
                        					<select onchange="checkdate(this)" class="form-control kt-input" >
                        						<option value="">select filter</option>
                                                <option value="today">Today</option>
                                                <option value="yesterday">Yesterday</option>
                                                <option value="week">Week to date</option>
                                                <option value="month">Month to date</option>
                                                <option value="custom">Custom</option>
                        					</select>
                        				</div>
                        				<div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Date:</label>
                        					<div class="input-daterange input-group kt_datepicker2" id="">
                        						<input type="text" class="form-control kt-input" name="start" placeholder="From"/>
                        						<div class="input-group-append">
                        							<span class="input-group-text"><i class="la la-ellipsis-h"></i></span>
                        						</div>
                        						<input type="text" class="form-control kt-input" name="end" placeholder="To" />
                        					</div>
                        				</div>
                        				
                        			
                        			</div>

                                			<div class="kt-separator kt-separator--md kt-separator--dashed"></div>
                                
                                			<div class="row">
                                				<div class="col-lg-12">
                                					<button type="submit" class="btn btn-brand kt-btn kt-btn--icon">
                                						<span>
                                							<i class="la la-search"></i>
                                							<span>Update</span>
                                						</span>
                                					</button>
                                					&nbsp;&nbsp;
                                					<button type="button" class="btn btn-secondary kt-btn kt-btn--icon" onclick="$('#number_report')[0].reset();$('#datatable_numbers').DataTable().ajax.url('{{ route('number_performance') }}').load()">
                                						<span>
                                							<i class="la la-close"></i>
                                							<span>Reset</span>
                                						</span>
                                					</button>
                                				</div>
                                			</div>
                                		</form>
                                    
                                    
									<!--begin: Datatable -->
                                    <div id="kt_table_1_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer table-responsive">
									<table role="grid" class="table table-striped- table-bordered table-hover  dataTable no-footer dtr-inline " id="datatable_numbers">
										<thead>
											<tr>
												<th>Number</th>
                                                <th>Sent</th>
												<th>Failed</th>
                                                <th>Delivery %</th>
                                                <th>Delivered</th>
												<!--<th>Clicks</th>-->
                                                
                                                <!--<th>CTR</th>-->
											</tr>
										</thead>
                                       <tbody>
                                        
                                       </tbody>
									</table>
                                    </div>
									<!--end: Datatable -->
								</div>
							</div>
        
    </div>
</div>


<div class="row">
    <div class="col-md-12 col-lg-12">
        
        <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 style="cursor: pointer;" class="kt-portlet__head-title"  data-toggle="collapse" href="#failtog" role="button" aria-expanded="false" aria-controls="failtog">
											Failure Detail
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												<button id="reloadtable" title="Refresh" onclick="exportfail()" type="button" class="btn  btn-sm btn-outline-brand">
													<i class="la la-download"></i> Export
												</button>
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body collapse" id="failtog">
                                    <form id="fail_report" class="kt-form kt-form--fit kt-margin-b-20">
			
                                            @csrf
                        			     <div class="row kt-margin-b-20">
                                         <div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Select filter:</label>
                        					<select onchange="checkdate(this)" class="form-control kt-input" >
                        						<option value="">select filter</option>
                                                <option value="today">Today</option>
                                                <option value="yesterday">Yesterday</option>
                                                <option value="week">Week to date</option>
                                                <option value="month">Month to date</option>
                                                <option value="custom">Custom</option>
                        					</select>
                        				</div>
                        				<div class="col-lg-3 kt-margin-b-10-tablet-and-mobile">
                        					<label>Date:</label>
                        					<div class="input-daterange input-group kt_datepicker2" id="">
                        						<input type="text" class="form-control kt-input" name="start" placeholder="From"/>
                        						<div class="input-group-append">
                        							<span class="input-group-text"><i class="la la-ellipsis-h"></i></span>
                        						</div>
                        						<input type="text" class="form-control kt-input" name="end" placeholder="To" />
                        					</div>
                        				</div>
                        				
                        			
                        			</div>

                                			<div class="kt-separator kt-separator--md kt-separator--dashed"></div>
                                
                                			<div class="row">
                                				<div class="col-lg-12">
                                					<button type="submit" class="btn btn-brand kt-btn kt-btn--icon">
                                						<span>
                                							<i class="la la-search"></i>
                                							<span>Update</span>
                                						</span>
                                					</button>
                                					&nbsp;&nbsp;
                                					<button type="button" class="btn btn-secondary kt-btn kt-btn--icon" onclick="$('#fail_report')[0].reset();$('#datatable_fail').DataTable().ajax.url('{{ route('fail_report') }}').load()">
                                						<span>
                                							<i class="la la-close"></i>
                                							<span>Reset</span>
                                						</span>
                                					</button>
                                				</div>
                                			</div>
                                		</form>
                                    
                                    
									<!--begin: Datatable -->
                                    <div id="kt_table_1_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer table-responsive">
									<table role="grid" class="table table-striped- table-bordered table-hover  dataTable no-footer dtr-inline " id="datatable_fail">
										<thead>
											<tr>
												<th>Reason</th>
                                                <th>To Number</th>
                                                <th>From Number</th>
												<th>Offer ID</th>
                                                <th>State</th>
											</tr>
										</thead>
                                       <tbody>
                                        
                                       </tbody>
									</table>
                                    </div>
									<!--end: Datatable -->
								</div>
							</div>
        
    </div>
</div>
@endsection
@section('script')
<script src="{{ url('assets/js/pages/components/extended/sweetalert2.js')}}" type="text/javascript"></script>
<script src="assets/plugins/custom/datatables/datatables.bundle.js" type="text/javascript"></script>
<script src="{{ url('assets/js/pages/components/datatables/search-options/advanced-search.js')}}" type="text/javascript"></script>
<!--<script src="{{ url('assets/js/pages/components/portlets/tools.js')}}" type="text/javascript"></script>-->

<script>

function checkdate(obj)
{
    if(obj.value=='today')
    {
        $(obj).parent().parent().find("input[name='start']").val(moment().format('YYYY-MM-D'));
        $(obj).parent().parent().find("input[name='end']").val(moment().format('YYYY-MM-D'));
    }else if(obj.value=='yesterday')
    {
        $(obj).parent().parent().find("input[name='start']").val(moment().add(-1, 'days').format('YYYY-MM-D'));
        $(obj).parent().parent().find("input[name='end']").val(moment().add(-1, 'days').format('YYYY-MM-D'));
    }else if(obj.value=='week')
    {
        $(obj).parent().parent().find("input[name='start']").val(moment().add(-7, 'days').format('YYYY-MM-D'));
        $(obj).parent().parent().find("input[name='end']").val(moment().format('YYYY-MM-D'));
    }
    else if(obj.value=='month')
    {
        $(obj).parent().parent().find("input[name='start']").val(moment().subtract(1, 'months').format('YYYY-MM-D'));
        $(obj).parent().parent().find("input[name='end']").val(moment().format('YYYY-MM-D'));
    }
}

function showmod()
{
    $("#contact_form").modal("show");
    $("#save_contact").resetForm();
}
function checkofferid(obj,id)
{
    var camp_id = "{{ isset($data)?$data->id:'' }}";
    $.get("{{ route('check_offer') }}",{id:id,camp_id:camp_id},function(res){
        if(res!=0)
        {
            $(obj).val('');
            swal.fire(
                      'Error!',
                      'Offer ID already used.',
                      'error'
                    );
        }
        
    })
}

function leadreset()
{
  $("#lead_report").find("input[name='start']").val('{{ Carbon\Carbon::now("UTC")->format("Y-m-d")}}');
 $("#lead_report").find("input[name='end']").val('{{ Carbon\Carbon::now("UTC")->format("Y-m-d")}}');
    $.post('{!! url("lead-report") !!}',$("#lead_report").serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    $("#lead_rep_delivered").text(res.delivered);
                    $("#lead_rep_rejected").text(res.rejected);
                    $("#lead_rep_accepted").text(res.accepted);
                    $("#lead_rep_unsub").text(res.unsub);
                    var percn = (res.accepted>0) ? res.unsub/res.accepted : '-';
                    $("#lead_rep_percentage").text(percn.toFixed(2));
                        
                })
        $("#lead_report")[0].reset();        
}

    $(document).ready(function(){
        ///$(".kt-select2").select2();
        
     $(".kt_datepicker2").datepicker({
				todayHighlight: !0,
				templates: {
					leftArrow: '<i class="la la-angle-left"></i>',
					rightArrow: '<i class="la la-angle-right"></i>'
				},
                format:"yyyy-mm-dd"
			})
        
        $("#camp_form").submit(function(){
           
                $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                
                $.post('{!! route("campaigns.store") !!}',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    if(res=='1')
                    {
                        swal.fire({
                          title: 'Good Job!',
                          text: 'Campaign saved successfully!',
                          type: 'success',
                          confirmButtonText: 'Ok'
                        })
                        
                        //$("#camp_form").modal("hide");
                        //$("#camp_form").resetForm();
                    }else
                    {
                        swal.fire({

                          title: 'Error!',
    
                          text: res,
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                    }
                })
                
            return false
        });
        
        
        $("#lead_report").submit(function(){
            var start = $("#lead_report").find("input[name='start']").val();
            var end = $("#lead_report").find("input[name='end']").val();
            
            if(start=="" || end=='')
            {
                swal.fire({

                          title: 'Error!',
    
                          text: "Please select a date filter",
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                return false;
            }
                //$('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                
                $.post('{!! url("lead-report") !!}',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    $("#lead_rep_delivered").text(res.delivered);
                    $("#lead_rep_rejected").text(res.rejected);
                    $("#lead_rep_accepted").text(res.accepted);
                    $("#lead_rep_unsub").text(res.unsub);
                    var percn = (res.accepted>0) ? (res.unsub/res.accepted)*100 : 0.00;
                    $("#lead_rep_percentage").text(percn.toFixed(2));
                        
                })
                
            return false
        });
        
         
        $('#datatable_offers').DataTable({
            //"scrollX": true,
		processing: true,
		serverSide:true,
        "drawCallback" : function(){

            },           
        ajax: "{{ route('offer_performance') }}",
        columns : [ 
    		{ name: 'offer_id', data: 'offer_id' },
            { name: 'name', data: 'name' },
            { name: 'sent_count', data: 'sent_count' },
    		{ name: 'delivered_count', data: 'delivered_count' },
            { name: 'delivery', data: 'delivery' },
            { name: 'clicks_count', data: 'clicks_count' },
            { name: 'ctr', data: 'ctr' }
    		
    		]
        });
        
        
        $("#offer_report").submit(function(){
            
            var start = $("#offer_report").find("input[name='start']").val();
            var end = $("#offer_report").find("input[name='end']").val();
            if(start=="" || end=='')
            {
                swal.fire({

                          title: 'Error!',
    
                          text: "Please select a date filter",
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                return false;
            }
            
                $('#datatable_offers').DataTable().ajax.url("{{ route('offer_performance') }}?startdate="+start+"&enddate="+end).load();
                
            return false;
        });
        
        $('#datatable_numbers').DataTable({
            //"scrollX": true,
		processing: true,
		serverSide:true,
        "drawCallback" : function(){

            },           
        ajax: "{{ route('number_performance') }}",
        columns : [ 
    		{ name: 'phone_number', data: 'phone_number' },
            { name: 'sent_count', data: 'sent_count' },
            { name: 'failed_count', data: 'failed_count' },
            { name: 'delivery', data: 'delivery' },
    		{ name: 'delivered_count', data: 'delivered_count' },
            //{ name: 'clicks', data: 'clicks' },
            
            //{ name: 'ctr', data: 'ctr' }
    		
    		]
        });
        
        $("#number_report").submit(function(){
            
            var start = $("#number_report").find("input[name='start']").val();
            var end = $("#number_report").find("input[name='end']").val();
            if(start=="" || end=='')
            {
                swal.fire({

                          title: 'Error!',
    
                          text: "Please select a date filter",
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                return false;
            }
                $('#datatable_numbers').DataTable().ajax.url("{{ route('number_performance') }}?startdate="+start+"&enddate="+end).load();
                
            return false;
        });
        
        
        
        $('#datatable_fail').DataTable({
            //"scrollX": true,
		processing: true,
		serverSide:true,
        "drawCallback" : function(){

            },           
        ajax: "{{ route('fail_report') }}",
        columns : [ 
    		{ name: 'error', data: 'error' },
            { name: 'send_to', data: 'send_to' },
            { name: 'send_from', data: 'send_from' },
    		{ name: 'offer_id', data: 'offer_id' },
            { name: 'state', data: 'state' },
            //{ name: 'ctr', data: 'ctr' }
    		
    		]
        });
        
        $("#fail_report").submit(function(){
            
            var start = $("#fail_report").find("input[name='start']").val();
            var end = $("#fail_report").find("input[name='end']").val();
            if(start=="" || end=='')
            {
                swal.fire({

                          title: 'Error!',
    
                          text: "Please select a date filter",
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                return false;
            }    
            $('#datatable_fail').DataTable().ajax.url("{{ route('fail_report') }}?startdate="+start+"&enddate="+end).load();
            
            return false;
        });
        
    });
    function exportoffer()
    {
        var start = $("#offer_report").find("input[name='start']").val();
        var end = $("#offer_report").find("input[name='end']").val();
        if(start!='' && end!='')
        {
            var url = "{{ route('offer_perform_export') }}?startdate="+start+"&enddate="+end;
        }else
        {
            var url = "{{ route('offer_perform_export') }}";
        }
        window.location = url;
    }
    function exportnumber()
    {
        var start = $("#number_report").find("input[name='start']").val();
        var end = $("#number_report").find("input[name='end']").val();
        if(start!='' && end!='')
        {
            var url = "{{ route('number_perform_export') }}?startdate="+start+"&enddate="+end;
        }else
        {
            var url = "{{ route('number_perform_export') }}";
        }
        window.location = url;
    }
    function exportfail()
    {
        var start = $("#fail_report").find("input[name='start']").val();
        var end = $("#fail_report").find("input[name='end']").val();
        if(start!='' && end!='')
        {
            var url = "{{ route('fail_export') }}?startdate="+start+"&enddate="+end;
        }else
        {
            var url = "{{ route('fail_export') }}";
        }
        window.location = url;
    }
</script>
@endsection
