@extends('admin.layouts.app')
@section('title',"Campaigns")
@section('content')
<?php

?>
<link href="assets/plugins/custom/datatables/datatables.bundle.css" rel="stylesheet" type="text/css" />
<div class="row">
    <div class="col-md-12">
        <a href="{{route('campaigns.create')}}" class="btn btn-outline-brand"><i class="la la-plus"></i>Add New</a>
    </div>
</div>
<br />
<div class="row">
    <div class="col-md-12 col-lg-12">
    
    <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 class="kt-portlet__head-title">
											Campaigns
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												<button id="reloadtable" title="Refresh" onclick="$('#datatable').DataTable().ajax.reload()" type="button" class="btn  btn-sm btn-outline-brand">
													<i class="la la-refresh"></i>
												</button>
													<button id="loadingm" style="display: none;" class="btn btn-primary" type="button">
														<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
														Processing...
													</button>
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body">

									<!--begin: Datatable -->
									<table class="table table-striped- table-bordered table-hover table-checkable" id="datatable">
										<thead>
											<tr>
												<th>ID</th>
												<th>Name</th>
                                                <th>Status</th>
												<th>Created At</th>
												<th>Actions</th>
											</tr>
										</thead>
									</table>

									<!--end: Datatable -->
								</div>
							</div>
    </div>
</div>

@endsection
@section('script')
<script src="assets/plugins/custom/datatables/datatables.bundle.js" type="text/javascript"></script>
<script src="{{ url('assets/js/pages/components/extended/sweetalert2.js')}}" type="text/javascript"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
<script>




function deleteFun(id)
{
    
        swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.value) {
            //$("#loading").show();
            $("#loadingm").show();
            $.get("{{ route('del_campaign') }}",{id:id},function(res){
                //$("#loading").hide();
                $("#loadingm").hide();
                if(res=='1')
                {
                   swal.fire(
                      'Deleted!',
                      'Campaign has been deleted.',
                      'success'
                    );
                    $('#reloadtable').click();
                }else{
                    swal.fire({
                      title: 'Error!',
                      text: 'Error while deleting!',
                      type: 'error',
                      confirmButtonText: 'Ok'
                    })
                }
            })
            
          }
        })
    
}
    $(document).ready(function(){
        ///$(".kt-select2").select2();
        $('.select2').select2({
  placeholder: 'This is my placeholder',
  allowClear: true
});
        $('#datatable').DataTable({          
		processing: true,
		serverSide:true,
     ajax: "{{ route('list_camps') }}",
      columns : [ 
    		{ name: 'id', data: 'id' },
            { name: 'name', data: 'name' },
            { name: 'status', data: 'status' },
    		{ name: 'created_at', data: 'created_at' },
    		{ data: 'action', name: 'action', orderable: false, searchable: false}
    		
    		]
        });
        
        
    });
</script>
@endsection
