@extends('admin.layouts.app')
@section('title',"Offers Library")
@section('content')
<?php

?>
<link href="assets/plugins/custom/datatables/datatables.bundle.css" rel="stylesheet" type="text/css" />
<div class="row">
    <div class="col-md-12">
        <button onclick="showmod()" type="button" class="btn btn-outline-brand"><i class="la la-plus"></i>Add New</button>
    </div>
</div>
<style>
input:read-only
{
    background:lightgray !important;
}
</style>
<br />
<div class="row">
    <div class="col-md-12 col-lg-12">
    
    <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 class="kt-portlet__head-title">
											Offers List
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												<button id="reloadtable" title="Refresh" onclick="$('#datatable').DataTable().ajax.reload()" type="button" class="btn  btn-sm btn-outline-brand">
													<i class="la la-refresh"></i>
												</button>
												<button id="loadingm" style="display: none;" class="btn btn-primary" type="button">
														<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
														Processing...
													</button>
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body">

									<!--begin: Datatable -->
									<table class="table table-striped- table-bordered table-hover table-checkable" id="datatable">
										<thead>
											<tr>
												<th>ID</th>
												<th>Name</th>
												<th>OfferID</th>
												<th>Created At</th>
												<th>Actions</th>
											</tr>
										</thead>
									</table>

									<!--end: Datatable -->
								</div>
							</div>
    </div>
</div>

<div id="group_form" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-scrollable modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="standard-modalLabel">Save Offer</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-12">
                                
                                 <form id="save_group" method="post">
                               
                                   <input name="id" value="" type="hidden" />
        
                                   @csrf
                                    
                                      <div class="form-group clearfix">
                                         <label for="name" class=" control-label">Name</label>
                                         
                                          <input required="" required="" type="text" name="name" class="form-control" id="name"/>
                                         
                                         
                                      </div>
                                      
                                      
                                      <div class="form-group">
                            				<label>Offer Message:</label>
                            				<textarea class="form-control" id="offer_msg" name="offer_msg"></textarea>
                                            <span class="form-text">
                                                Tags: 
                                                    <button onclick="insert_cursor('%first_name%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">FirstName</button> 
                                                    <button onclick="insert_cursor('%last_name%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">LasrName</button> 
                                                    <button onclick="insert_cursor('%email%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">Email</button> 
                                                    <button onclick="insert_cursor('%phone%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">Phone</button> 
                                                    <button onclick="insert_cursor('%city%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">City</button> 
                                                    <button onclick="insert_cursor('%state%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">State</button>
                                                    <button onclick="insert_cursor('%zip%', '#offer_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">Zip</button> 
                                                    <button onclick="insert_cursor('%source%', '#offer_msg')" type="button" class="btn btn-info btn-elevate btn-pill btn-sm">source</button>
                                                    <button onclick="insert_cursor('%brand%', '#offer_msg')" type="button" class="btn btn-info btn-elevate btn-pill btn-sm">brand</button>
                                                    <button onclick="insert_cursor('%link%', '#offer_msg')" type="button" class="btn btn-info btn-elevate btn-pill btn-sm">Link</button>  
                                            </span>			
                            		</div>
                                    
                                    <div class="form-group">
                            				<label>Offer Description:</label>
                            				<textarea class="form-control" id="offer_desc" name="offer_desc"></textarea>
                                            		
                            		</div>
                                    
                                    <div class="form-group row">
                            			     <label class='col-3 col-form-label'>Add append text:</label>
                            			     <div class="col-3">
                                                <span class="kt-switch kt-switch--icon">
                    								<label>
                    									<input value="1" type="checkbox" name="add_append_text">
                    									<span></span>
                    								</label>
                    							</span>	
                                             </div>
                            			</div>
                            			<div class="form-group">
                            			     <label>Offer ID:</label>
                            			     <input readonly="" onkeyup="checkofferid(this,this.value)" value="" type="text" name="offer_id" required="" class="form-control" placeholder="">	
                            			</div>
                                        
                                        <div class="form-group">
                            			     <label>Redirect URL:</label>
                            			     <input value="" type="url" name="redirect_url" class="form-control" placeholder="">	
                            			</div>
                                        
                                        <div class="form-group">
                            			     <label>URL Fields:</label>
                            			     <textarea class="form-control" name="url_fields"></textarea>
                                             <span class="form-text text-muted">
                                                Append the following to your unique tracking link
                                                
                                             </span>
                                             <span class="form-text text-muted">
                                                firstname=%first_name%&lastname=%last_name%&state=%state%&email=%email%
                                             </span>
                                             
                            			</div>
                                      
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                                        <button type="submit" class="loading btn btn-primary">Save</button>
                                    </div>
                                 </form>
                                   
                                </div>
                            </div> 
                        </div>
                        
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->


<div id="stats_modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-scrollable modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="standard-modalLabel">Offer Stats</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-3">
                                   <button type="button" class="btn btn-block btn-info btn-tallest"><i class="la la-hand-pointer-o"></i> Total Clicks <strong id="total_click"></strong></button>
                                </div>
                                <div class="col-3">
                                   <button type="button" class="btn btn-block btn-warning btn-tallest"><i class="la la-hand-pointer-o"></i> Unique Clicks <strong id="unique_click"></strong></button>
                                </div>
                                 <div class="col-3">
                                   <button type="button" class="btn btn-block btn-success btn-tallest"><i class="la la-hand-pointer-o"></i> Totel Sent <strong id="sent"></strong></button>
                                </div>
                                <div class="col-3">
                                   <button type="button" class="btn btn-block btn-danger btn-tallest"><i class="la la-hand-pointer-o"></i> Delivered <strong id="delivered"></strong></button>
                                </div>
                                <div class="col-12">
                                
                                    <div id="kt_morris_4" style="height:500px;"></div>
                                </div>
                            </div> 
                        </div>
                        
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->


@endsection
@section('script')
<script src="assets/plugins/custom/datatables/datatables.bundle.js" type="text/javascript"></script>
<script src="{{ url('assets/js/pages/components/extended/sweetalert2.js')}}" type="text/javascript"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.2/raphael-min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/morris.js/0.5.0/morris.min.js"></script>
<script>
function stats(id)
{
    $("#loadingm").show();
    $.get("{{ route('offerstats') }}",{id:id},function(res){
        $("#loadingm").hide();
        $("#stats_modal").modal('show');
        //showChart(res.sent,res.fail,res.delivered);
        $("#total_click").text(res.total_click);
        $("#unique_click").text(res.unique_click);
        $("#sent").text(res.sent);
        $("#delivered").text(res.delivered);
        loadChart(res.total_click,res.unique_click,res.sent,res.delivered);
        //alert(res.delivered);
    })
}
function insert_cursor(myValue,myField) {
      
         myField = myField.replace('#','');
          document.getElementById(myField);
        //IE support
        if (document.selection) {
            document.getElementById(myField).focus();
            sel = document.selection.createRange();
            sel.text = myValue;
        }
        // Microsoft Edge
        else if(window.navigator.userAgent.indexOf("Edge") > -1) {
          var startPos = document.getElementById(myField).selectionStart; 
          var endPos = document.getElementById(myField).selectionEnd; 
              
          document.getElementById(myField).value = document.getElementById(myField).value.substring(0, startPos)+ myValue 
                 + document.getElementById(myField).value.substring(endPos, document.getElementById(myField).value.length); 
          
          var pos = startPos + myValue.length;
          document.getElementById(myField).focus();
          document.getElementById(myField).setSelectionRange(pos, pos);
        }
        //MOZILLA and others
        else if (document.getElementById(myField).selectionStart || document.getElementById(myField).selectionStart == '0') {
            var startPos = document.getElementById(myField).selectionStart;
            var endPos = document.getElementById(myField).selectionEnd;
            document.getElementById(myField).value = document.getElementById(myField).value.substring(0, startPos)
                + myValue
                + document.getElementById(myField).value.substring(endPos, document.getElementById(myField).value.length);
        } else {
            document.getElementById(myField).value += myValue;
        }
    }
function showmod()
{
    $("#group_form").modal("show");
    $("#save_group").resetForm();
    $('input[name="app_append_text"]').prop("checked",false);
    $("input[name='offer_id']").prop("readonly",false);
    $("input[name='id']").val('');
}

function editFun(id)
{
    $("#loadingm").show();
    $.get("{{ route('get_offer') }}",{id:id},function(res){
        $("#loadingm").hide();
        $("input[name='redirect_url']").val(res.redirect_url);
        $("input[name='offer_id']").val(res.offer_id);
        $("input[name='offer_id']").prop("readonly",true);
        $("input[name='name']").val(res.name);
        $("input[name='id']").val(res.id);
        $("textarea[name='offer_msg']").val(res.offer_msg);
        $("textarea[name='url_fields']").val(res.url_fields);
         $("textarea[name='offer_desc']").val(res.offer_desc);
        
        if(res.add_append_text=='1')
        {
            $('input[name="add_append_text"]').prop("checked",true);
        }else
        {
            $('input[name="add_append_text"]').prop("checked",false);
        }
        $("#group_form").modal("show");
    })
}
function checkofferid(obj,id)
{
    var camp_id = "{{ isset($data)?$data->id:'' }}";
    $.get("{{ route('check_offer') }}",{id:id,camp_id:camp_id},function(res){
        if(res!=0)
        {
            $(obj).val('');
            swal.fire(
                      'Error!',
                      'Offer ID already used.',
                      'error'
                    );
        }
        
    })
}
function deleteFun(id)
{
    
        swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.value) {
            //$("#loading").show();
            $("#loadingm").show();
            $.get("{{ route('del_offer') }}",{id:id},function(res){
                //$("#loading").hide();
                $("#loadingm").hide();
                if(res=='1')
                {
                   swal.fire(
                      'Deleted!',
                      'Offer has been deleted.',
                      'success'
                    );
                    $('#reloadtable').click();
                }else{
                    swal.fire({
                      title: 'Error!',
                      text: 'Error while deleting!',
                      type: 'error',
                      confirmButtonText: 'Ok'
                    })
                }
            })
            
          }
        })
    
}
function loadChart(clicks,uclicks,sent,delivered)
{
    $("#kt_morris_4").empty();
    setTimeout(function () {
     Morris.Donut({
			element: "kt_morris_4",
			data: [
            {label:"Sent",value:Number(sent)},
			{label:"Delivered",value:Number(delivered)},
			{label:"Clicks",value:Number(clicks)},
            {label:"Unique Clicks",value:Number(uclicks)}
            ],
            resize: true,
			colors: [KTApp.getStateColor("success"), KTApp.getStateColor("danger"),KTApp.getStateColor("info"),KTApp.getStateColor("warning")]
		})
        },1000);
}
    $(document).ready(function(){
        ///$(".kt-select2").select2();
        $('.select2').select2({
          placeholder: 'This is my placeholder',
          allowClear: true
        });
        $('#datatable').DataTable({          
		processing: true,
		serverSide:true,
        ajax: "{{ route('list_offers') }}",
        columns : [ 
    		{ name: 'id', data: 'id' },
    		{ name: 'name', data: 'name' },
            { name: 'offer_id', data: 'offer_id' },
    		{ name: 'created_at', data: 'created_at' },
    		{ data: 'action', name: 'action', orderable: false, searchable: false}
    		
    		]
        });
        
        
        $("#save_group").submit(function(){
            
                $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                $('.loading').prop('disabled', true); 
                
                $.post('{!! route("offers.store") !!}',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    $('.loading').prop('disabled', false); 
                    if(res=='1')
                    {
                        swal.fire({
                          title: 'Good Job!',
                          text: 'Offer saved successfully!',
                          type: 'success',
                          confirmButtonText: 'Ok'
                        })
                        $('#reloadtable').click();
                        $("#group_form").modal("hide");
                        $("#save_group").resetForm();
                    }else
                    {
                        swal.fire({

                          title: 'Error!',
    
                          text: 'Error while saving offer!',
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                    }
                })
                
            return false
        });
        
         
        //loadChart();
        
    });
</script>
@endsection
